curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subjectId": "<string>",
"authOverride": {
"type": "header",
"headerValue": "<string>"
}
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth"
payload = {
"subjectId": "<string>",
"authOverride": {
"type": "header",
"headerValue": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subjectId: '<string>', authOverride: {type: 'header', headerValue: '<string>'}})
};
fetch('https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Set a per-subject auth override
Installs (or replaces) a per-subject auth override on an MCP server. Use this when a specific user or service account should authenticate against the upstream MCP server with credentials different from the server’s default auth_data. Permissions: callers with MANAGE_MCP_SERVER (MCP managers) may set the override for any subject; other callers may only set their own override.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
MCP server id (the id returned by GET /v1/mcp, not the name).
"mcp-01HXYZ..."
Body
Per-subject credential override input.
Principal id for this auth override (user id, virtual account id, etc.).
1Principal type for this auth override.
user, virtualaccount Override authentication with a static header value.
- HeaderAuthOverride
- OAuth2ClientCredentialsOverride
- EnvAuthOverride
Show child attributes
Show child attributes
Response
Auth override saved.
Was this page helpful?